[**@rxap/data-source v19.1.0-dev.2**](../README.md)

***

[@rxap/data-source](../globals.md) / DataSourceLoader

# Class: DataSourceLoader

Defined in: [packages/angular/data-source/src/lib/data-source-loader.ts:18](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-loader.ts#L18)

## Extends

- `DefinitionLoader`

## Constructors

### new DataSourceLoader()

> **new DataSourceLoader**(`injector`): [`DataSourceLoader`](DataSourceLoader.md)

Defined in: [packages/angular/definition/src/lib/definition.loader.ts:15](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/definition/src/lib/definition.loader.ts#L15)

#### Parameters

##### injector

`Injector`

#### Returns

[`DataSourceLoader`](DataSourceLoader.md)

#### Inherited from

`DefinitionLoader.constructor`

## Methods

### connect()

> **connect**\<`Data`\>(`dataSourceIdOrInstanceOrToken`, `viewer`, `metadata`?, `injector`?, `notFoundValue`?, `flags`?): `Observable`\<`Data`\>

Defined in: [packages/angular/data-source/src/lib/data-source-loader.ts:20](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-loader.ts#L20)

#### Type Parameters

• **Data**

#### Parameters

##### dataSourceIdOrInstanceOrToken

`IdOrInstanceOrToken`\<[`BaseDataSource`](BaseDataSource.md)\<`Data`, [`BaseDataSourceMetadata`](../interfaces/BaseDataSourceMetadata.md), [`BaseDataSourceViewer`](../interfaces/BaseDataSourceViewer.md)\<`any`\>\>\>

##### viewer

[`BaseDataSourceViewer`](../interfaces/BaseDataSourceViewer.md)

##### metadata?

`Partial`\<[`BaseDataSourceMetadata`](../interfaces/BaseDataSourceMetadata.md)\>

##### injector?

`Injector`

##### notFoundValue?

[`BaseDataSource`](BaseDataSource.md)\<`Data`, [`BaseDataSourceMetadata`](../interfaces/BaseDataSourceMetadata.md), [`BaseDataSourceViewer`](../interfaces/BaseDataSourceViewer.md)\<`any`\>\>

##### flags?

`InjectFlags`

#### Returns

`Observable`\<`Data`\>

***

### load()

> **load**\<`Definition`\>(`definitionIdOrInstanceOrInjectionToken`, `metadata`?, `injector`?, `notFoundValue`?, `flags`?): `Definition`

Defined in: [packages/angular/definition/src/lib/definition.loader.ts:21](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/definition/src/lib/definition.loader.ts#L21)

#### Type Parameters

• **Definition** *extends* `BaseDefinition`\<`BaseDefinitionMetadata`\>

#### Parameters

##### definitionIdOrInstanceOrInjectionToken

`IdOrInstanceOrToken`\<`Definition`\>

##### metadata?

`Partial`\<`BaseDefinitionMetadata`\>

##### injector?

`Injector` = `...`

##### notFoundValue?

`Definition`

##### flags?

`InjectFlags`

#### Returns

`Definition`

#### Inherited from

`DefinitionLoader.load`
